package grammar;
import java.io.*;
import signalgame.*;

class Main {
	public static void main(String[] args) throws Exception
	{
		L lexer = new L(new DataInputStream(new FileInputStream(args[0])));
		P parser = new P(lexer);

		StaticInformation si = parser.game();
	    System.out.println(si.multiline());

		DynamicInformation di = si.createDyamic();

		for (int i = 0; i < 100; i++)
		{
			di = di.evolve();
		}


		System.out.println(di.multiline());
	}
}

