package signalgame.instancebased;

import java.util.Vector;

public class IndividualType
{
	int                         count;
	boolean                     evolution;
	ReputationStrategyType      Ss, Sh;
	String                      reputation;

	public IndividualType(int count, boolean evolution, ReputationStrategyType Ss, ReputationStrategyType Sh, String reputation)
	{
		this.count =        count;
		this.evolution =    evolution;
		this.Ss =           Ss;
		this.Sh =           Sh;
		this.reputation =   reputation;
	}

	public void createIndividuals(InstanceBasedStatic ibs, Vector iv)
	{
		for (int i = 0; i < count; i++)
		{
			iv.add(
				new Individual(
				    this,
					Ss.createStrategy(ibs.R, ibs.T, ibs.M),
					Sh.createStrategy(ibs.R, ibs.M, ibs.A),
					ibs.R.getElementIndex(reputation)));
		}
	}
}
