package signalgame.instancebased;

import math.*;
import signalgame.ReputationFunction;


public class ReputationStrategyType
{
	StrategyType [] st;

    public ReputationStrategyType(StrategyType [] st)
    {
		this.st = st;
    }

	public ReputationFunction  createStrategy(FiniteSet R, FiniteSet from, FiniteSet to)
	{
		Function [] f = new Function[st.length];

		for (int i = 0; i < f.length; i++)
		{
			f[i] = st[i].createStrategy(from, to);
		}

		return new ReputationFunction(R, f);
	}
}