package signalgame.instancebased;

import math.*;
import java.util.Vector;

public class StrategyType
{
	MappingType [] ms;

	public StrategyType(MappingType [] ms)
    {
		this.ms = ms;
    }

	public ProbabilisticFunction createStrategy(FiniteSet from, FiniteSet to)
	{
		ProbabilityDistribution [] pds = new ProbabilityDistribution[ms.length];
		for (int i = 0; i < ms.length; i++)
		{
			pds[i] = ms[i].createMapping(to);
		}

		return new ProbabilisticFunction(from, pds);
	}
}